<?php
/**
 * Plugins loader ( using TGM )
 *
 * @package Floro
 * @since Floro 1.0
 */

// load TGM class
require_once get_template_directory() . '/inc/tgm/class-tgm-plugin-activation.php';

/**
 * Register required plugins to be loaded with TGM
 *
 * @since 1.0
 */
function floro_register_required_plugins() {
	
	// plugins to load
	$plugins = array(
		array(
			'name'      => esc_html__( 'Kirki', 'floro' ),
			'slug'      => 'kirki',
			'required'  => false,
		),
	);

	// configuration settings
	$config = array(
		'id'           => 'tgmpa',                 // Unique ID for hashing notices for multiple instances of TGMPA.
		'default_path' => '',                      // Default absolute path to bundled plugins.
		'menu'         => 'tgmpa-install-plugins', // Menu slug.
		'parent_slug'  => 'themes.php',            // Parent menu slug.
		'capability'   => 'edit_theme_options',    // Capability needed to view plugin install page, should be a capability associated with the parent menu used.
		'has_notices'  => true,                    // Show admin notices or not.
		'dismissable'  => true,                    // If false, a user cannot dismiss the nag message.
		'dismiss_msg'  => '',                      // If 'dismissable' is false, this message will be output at top of nag.
		'is_automatic' => false,                   // Automatically activate plugins after installation or not.
		'message'      => '',                      // Message to output right before the plugins table.
	);

	// call TGM
	tgmpa( $plugins, $config );

} add_action( 'tgmpa_register', 'floro_register_required_plugins' );
